> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 巴西 — 代收查询（历史导航 V20260701）

> 历史版本（V20260701）巴西 — 代收查询（历史导航 V20260701）（POST /brl/collect/query）：创建代收订单异步通知后，通过orderNo查询二次确认状态；关键请求参数含 orderId。

> [!NOTE]
>
> 本页所有示例请求均基于**沙盒（测试）环境**，请注意区分正式环境。

#### 密钥私钥(生成签名)

## 相关主题

* [巴西支付接口](https://doc.haipay.net/zh/history/V20260701/payments/local/brazil.md)
* [HaiPay API 文档简介](https://doc.haipay.net/zh/history/V20260701/api-reference/overview.md)
* [HaiPay 配置与签名指南](https://doc.haipay.net/zh/history/V20260701/guide/config_settings_and_signature_rules_guide.md)


## OpenAPI

````yaml docs/zh/api-reference/brl/brl.openapi.json POST /brl/collect/query
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /brl/collect/query:
    post:
      tags: []
      summary: 巴西雷亚尔代收查询
      description: |-
        创建代收订单
        异步通知后，通过orderNo查询二次确认状态
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户订单号
                orderNo:
                  type: string
                  description: 平台订单号（响应快）
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - sign
            example:
              appId: 1054
              orderId: M233323000059
              orderNo: P233323000059
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 消息
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号(必须保证唯一性)
                      orderNo:
                        type: string
                        description: 平台订单号
                      amount:
                        type: string
                        description: 交易金额
                      actualAmount:
                        type: string
                        description: 收到金额
                      fee:
                        type: string
                        description: 手续费
                      status:
                        type: integer
                        description: 状态(0未开始，1支付中，2成功（终态），3失败（终态）, -1异常待确认)
                      payTime:
                        type: string
                        description: >-
                          支付成功时间（当status=2,4,5时有值）(巴西时间), 格式: yyyy-MM-dd
                          HH:mm:ss
                      errorMsg:
                        type: string
                        description: 失败原因（当status=3时有值）
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: false
                additionalProperties: false
              examples:
                success:
                  summary: 成功
                  value:
                    status: '1'
                    error: '00000000'
                    msg: ''
                    data:
                      orderId: M22222000028
                      orderNo: '6023042811314347'
                      amount: '50000.00'
                      actualAmount: '0.00'
                      fee: '0.00'
                      status: 1
                      sign: >-
                        fP433ygWVDLVGxYkVnIJj7riGq0U3vyVX+MbBAImxfGLZkZcEAHVEoVYuULZSmXAAXKRSyd67WlDNm+24pougM54ofAoH4HMtCL2tfCoBReFyz3z02AGKkrKE2xWhSpWoqfQoBvzwuN5iGMMu0s9Q1YvqiwJ8WDVIENnmiIyD8qDJN7caHTW2US14/faG+69AvnuIgJ/nu7/jogOlgEYdZdVYU7gcRDE+d47KjlFGswQkJ/h/uzV7cWtUqrtOO7ZnZ3/z33Xx8awokX36QoYcPSWAU0h+Ij9O9402HNhm1eTbYcLU0uI/z8xCAtyAI/tTyiFijpiNlxUKQj+zKsILw==
                param_error:
                  summary: 参数校验失败
                  value:
                    status: '0'
                    error: '1001'
                    msg: orderId can not blank
                    data: null
                sign_error:
                  summary: 签名错误
                  value:
                    status: '0'
                    error: '1002'
                    msg: Invalid request signature
                    data: null
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.